2020-01-25 15:00 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002201FSSCPFS2NetDpublic2019-11-22 16:41
ReporterFUBAR-BDHR 
Assigned Totaylor 
PrioritynormalSeverityminorReproducibilityrandom
StatusclosedResolutionwon't fix 
Product Version3.6.12 RC2 
Target VersionFixed in Version 
Summary0002201: Standalone servers randomly fail to login but still show up on server list
DescriptionI've noticed this happen several times in the last month or so. Figured it was some kind of connectivity problem but that is now very doubtful as today it only happened to 1 out of 4 servers.

What happens is the server still shows a "game" up on FS2netD webpage but the standalone is no longer logged into FS2netD and the user doesn't show on the webpage. Doing a reset all will sometimes return a failed login and other times appear to work with no change. Shutting down and starting the server works and both the user and "game" show up on the webpage.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0012286

taylor (administrator)

* BUMP *

Is this one still an issue? I think that I sorted this out already in the last update of the server code but I forgot to check with you if it was fixed.

~0012287

FUBAR-BDHR (developer)

I just checked and all 4 are in this state now. Slightly different as one is showing the user on FS2netD but none are showing games. All seem to still be up on my end until I hit reset which results in a verifying username/password loop until it fails.

~0012288

taylor (administrator)

The one where the user was shown but not the games, it appears to have logged off and then come back up but it stopped broadcasting the game at that point. Depends on why it logged off and all as to the reason for that messing up. I'm going to check the code just in case I can notice something though.

The others just stopped responding and the server timed them out. Not sure why the client side thought it still might have had a valid connection. I'll check the code for that and get back to you.

~0012291

taylor (administrator)

I found some areas that might be causing this and they should be fixed now. In particular the standalone reset should now properly reset the fs2netd connection. Also if login/connect fails, like it did for you according to the multi log, it should reset the state properly so that it will be able to reconnect again later. And the timeout between auto-connects was reduced to 5 minutes, down from 30.

There really isn't enough time to check that this code works 100% for the problem before 3.6.12 comes out though. But, if you don't mind, download this debug build and put it up on the multi/testing daemon and lets just see what happens. It will just be current 3.6.12 with the extra multi changes and some extra debugging, but that extra debugging stuff means that it probably shouldn't be used by anyone to actually play a game on.

http://icculus.org/~taylor/fso/testing/0802-multi.7z

~0012294

taylor (administrator)

Small update since this is happening right now...

The build posted should fix the reset problem, and it /should/ help prevent the user login issue from occurring. Since it's happening currently though I was able to check the logs and figure out exactly what is going on, so that's good at least.

On the client side the changes in that 0802 build may very well fix it for you, but if not then it will require some additional server side fixes as well. Regardless I believe that this bug should now be fixed on the client side and if it still shows some problems then it's something that I can address further on the server side.

So let me know if that test build appears to work any better and if it doesn't then I should be able to squash the rest of this issue with a future server code update.

~0012295

FUBAR-BDHR (developer)

Test build is up but only time will tell if it happens again.

~0012304

FUBAR-BDHR (developer)

Well this happened to the 3 servers not running this build today. FS2netD reset perhaps? The one running it seems to have stayed up.

Also should I still be running this or go to a newer build now?

~0012305

taylor (administrator)

The server reset and by some weird fluke the FS2NetD didn't clean up properly or restart properly. Four days it was down, never even noticed. I'll be fixing that soon. ;)


Anyway, so I'm hoping that means the newer code is working properly, if the updated build reconnected fine. Don't bother doing a reset on the other ones, just upgrade to 3.6.12 final on those and start them again. The code is exactly the same as the 0802 test build, except without the extra debugging info in multi.log (which you didn't need anyway). So just move up to 3.6.12 and you should be good.

If they stay up and working for the rest of the week then I think it will be safe to assume that this bug is (finally) fixed.

~0012306

FUBAR-BDHR (developer)

4 days down? Strange I reset the MediaVPs standalone yesterday after updating it to the 3.6.12 VPs and it connected just fine.

~0012307

taylor (administrator)

I thought it was strange too, but the logs indicate that it got a shutdown command due to server shutdown on the 4th. MySQL got shutdown down before the FS2NetD daemons did and that caused it to just partially clean up everything, leaving the in a state that assumed the daemons were active. Then there was nothing until I manually restarted the daemons about 8-9 hours ago. I could have sworn that it was working but the logs say otherwise.

~0012314

FUBAR-BDHR (developer)

At least 2 of the 4 lost connect last night. Not sure on the TBP one. Forgot to check it before I shut it down. Both logs were identical on the disconnect part so I only attached one.

~0012348

FUBAR-BDHR (developer)

Happened again last night. 4 server.

Bar & Grill - Server on list and user showed logged in on FS2netD
Bar Brawl - Server not on list and no user shown
Ye Olde Pub - Server not on list and no user shown
Down Below - Server not on list but user showed logged in


Attaching multi.log from all 4

~0012349

taylor (administrator)

Thanks. I noticed it messed up on the site so I was expecting a report. :)

I'll try and get to it this weekend and see if I can find anything new.

~0014124

FUBAR-BDHR (developer)

Still an issue as of r9350. Attaching screenshot of issue. Note 4 servers in list but only 3 of them are showing logins.

~0016940

taylor (administrator)

Made obsolete by PXO
+Notes

-Issue History
Date Modified Username Field Change
2010-05-04 21:31 FUBAR-BDHR New Issue
2010-05-04 21:52 FUBAR-BDHR Category multiplayer => FS2NetD
2010-05-05 16:36 taylor Status new => assigned
2010-05-05 16:36 taylor Assigned To => taylor
2010-08-01 02:46 taylor Note Added: 0012286
2010-08-01 14:55 FUBAR-BDHR Note Added: 0012287
2010-08-01 14:57 FUBAR-BDHR File Added: mult_2201i.rar
2010-08-01 22:33 taylor Note Added: 0012288
2010-08-02 12:41 taylor Note Added: 0012291
2010-08-02 21:00 taylor Note Added: 0012294
2010-08-03 01:16 FUBAR-BDHR Note Added: 0012295
2010-08-09 00:54 FUBAR-BDHR Note Added: 0012304
2010-08-09 01:05 taylor Note Added: 0012305
2010-08-09 01:39 FUBAR-BDHR Note Added: 0012306
2010-08-09 02:57 taylor Note Added: 0012307
2010-08-14 16:49 FUBAR-BDHR File Added: multi_2201a.log
2010-08-14 16:51 FUBAR-BDHR Note Added: 0012314
2010-09-08 15:57 FUBAR-BDHR Note Added: 0012348
2010-09-08 16:00 FUBAR-BDHR File Added: multi_Bar_Grill.log
2010-09-08 16:00 FUBAR-BDHR File Added: multi_bar_brawl.log
2010-09-08 16:00 FUBAR-BDHR File Added: multi_ye_olde_pub.log
2010-09-08 16:01 FUBAR-BDHR File Added: multi_down_below.log
2010-09-08 16:01 taylor Note Added: 0012349
2012-11-20 10:56 FUBAR-BDHR Note Added: 0014124
2012-11-20 10:57 FUBAR-BDHR File Added: fs2netd_list.jpg
2019-11-22 16:41 taylor Status assigned => closed
2019-11-22 16:41 taylor Resolution open => won't fix
2019-11-22 16:41 taylor Note Added: 0016940
+Issue History